Bug 4796 - esound needs explicit shutdown
esound needs explicit shutdown
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-08-31 02:55 EDT by c918548
Modified: 2014-03-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-14 13:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description c918548 1999-08-31 02:55:55 EDT
If you are mounting /usr over NFS, esd will not be stopped
before an attempt if made for shutting down esd. The unmount
will fail and the system will hang when the network
interfaces are shut down, preventing a clean unmount of
local filesystems.
Comment 1 Elliot Lee 1999-09-01 14:57:59 EDT
How are you starting esound?
Comment 2 c918548 1999-09-04 21:37:59 EDT
I let enlightenment start it when i logs in in runlevel 5
Comment 3 Elliot Lee 1999-09-13 16:26:59 EDT
Initscripts needs to kill processes before trying to unmount any

I'm going to assign this to Bill just because he was one of the last
people to touch initscripts, not because I know who it belongs to...
Comment 4 Bill Nottingham 1999-09-14 13:43:59 EDT
This is fixed in the latest initscripts; it will kill things using
NFS-mounted filesysems.

Note You need to log in before you can comment on or make changes to this bug.